function plotExample3()
	
	% Build data to plot
	n=100;
	x=[0:n]/n*4*pi;
	y=sin(2*x)+sin(5*x);
	
	% Define plotData object. It contains FFT of data
	plotData=PlotDataNew();
	plotData=PlotDataSetXLabel(plotData, "Frec");
	plotData=PlotDataSetYLabel(plotData, "Power");
	plotData=PlotDataAdd(plotData, [1:n]*0.5,abs( fft( y ) ));;
	plotData=PlotDataSetGrid(plotData,0);
	plotData=PlotDataSetLine(plotData,1);
	plotData=PlotDataSetSymbol(plotData,2);
	plotData=PlotDataSetColor(plotData,'red');
	plotData=PlotDataSetColorSymbol(plotData,"blue");
	plotData=PlotDataSetPlotTitle(plotData, "FFT");
	
	% Define plotData1 object. It contains data
	plotData1=PlotDataNew();
	plotData1=PlotDataAdd(plotData1, x, y);
	
	
	svgPlot=SvgPlotNew('plotExample3.svg');
	
	% Draw plotData (FFT)
	svgPlot=SvgPlotDraw(svgPlot, plotData, 5, 5, 790, 300 );
	svgPlot=SvgPlotLegent(svgPlot, plotData, 500, 150);
	
	% Draw plotData1 (data)
	svgPlot=SvgPlotDraw(svgPlot, plotData1, 5, 320, 790, 250 );
	
	svgPlot=SvgPlotClose(svgPlot);
	
	% In QtOctave, you can show your figures. Uncomment next lines in QtOctave to show it.
	svgcanvasload(1, 'plotExample3.svg');
	svgcanvassave(1, 800, 600, 'plotExample3.png');
endfunction