## -*- texinfo -*-
## @deftypefn {Function File} {} PlotDataSetColorSymbol (@var{plotData}, @var{color})
## Set @var{color} of symbols of last data added to @var{plotData}.
## @seealso{SvgPlotNew, SvgPlotDraw}
## @seealso{PlotDataNew, PlotDataAdd, PlotDataSetColor, PlotDataSetColorSymbol,  PlotDataSetSymbol, PlotDataSetGrid, PlotDataSetXLabel, PlotDataSetColorLine, PlotDataSetLine, PlotDataSetYLabel, PlotDataSetColor, PlotDataSetPlotTitle}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [plotData]=PlotDataSetColorSymbol(plotData, color)
	n=length(plotData);
	if( isa(color, "char") )
		plotData{n}.symbolColor=color;
	else
		plotData{n}.symbolColor=plotData{1}.colors(mod( symbol, length( plotData{1}.colors ) ), : );
	endif
endfunction
