
%
% Returns auto scale. This scale is linear
%
function [scale] = ScaleLinear(xmin, xmax)
	
	maxNumSteps=10;
	minNumSteps=4;
	
	%Values of scale step
	vals=[1; 1.25; 2; 2.5; 5; 7.5];
	intervalSize=xmax-xmin;
	
	%Find scale order of steps
	scale_order=10**floor(log10(intervalSize));
	while( (intervalSize/scale_order)<minNumSteps )
		scale_order/=10;
	endwhile
	
	%Calculate steps size
	for n=1:length(vals)
		stepSize=vals(n)*scale_order;
		if( (intervalSize/stepSize)<maxNumSteps)
			break;
		endif
	endfor
	
	%Calculate x_min value
	x_min=stepSize*double(floor(xmin/stepSize));
	
	%Calculate scale
	scale = [x_min];
	n=1; x=x_min;
	while(x<xmax);
		x=x_min+stepSize*n;
		scale = [scale, x];
		n=n+1;
	endwhile;
	
endfunction
