## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotCircle (@var{svgPlot}, @var{x}, @var{y}, @var{r}, @var{fill_ok} )
## Draw an ellipse. If @var{fill_ok} is true, ellipse is filled.
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotCircle(svgPlot, x, y, r, fill_ok)
	out=svgPlot.out;
	if(fill_ok)
		fprintf(out, '<circle cx="%f" cy="%f" r="%f" fill="%s" stroke="%s" stroke-width="%f" />\n', x, y, r, svgPlot.backgroundColor, svgPlot.foregroundColor, svgPlot.lineWidth );
	else
		fprintf(out, '<circle cx="%f" cy="%f" r="%f" fill="none" stroke="%s" stroke-width="%f" />\n', x, y, r, svgPlot.foregroundColor, svgPlot.lineWidth );
	endif
endfunction